Subject: [bug#55769] [PATCH] gnu: Add xwhite.

From: Maxime Devos <[email-masked]>
Date: Fri, 03 Jun 2022 15:13:21 +0200

[Please keep [email-masked] in CC]

[email-masked] schreef op vr 03-06-2022 om 01:33 [+0000]:
> Thank you for your patient.

Nitpick not relevant to the discussion: patient (adjective) -> patience
(noun).

> "Also, all this is already implemented by another tool:
> $ redshift -P -g 2:2:0.1 -O 10000
> so to me there appears to be no need to write, maintain and package a new tool."

[email-masked] schreef op vr 03-06-2022 om 01:33 [+0000]:
> Setting gamma(redshift -g) correction in redshift is [...].

Ok, it fullfills a somewhat different niche.

> If you think it's worth a new package, I would fix the issues you
mentioned. Either way, I'm happy with the conversation with
> you.

> Setting gamma(redshift -g) correction in redshift is the same as `xrandr --output eDP-1 --gamma 2:2:0.1` in principle,
> which changes the gamma curve shape while keeps the curve two end point position still, resulting a strange
> color scheme with white color unchanged. And that's the problem setting color temperature(redshift -O) is trying to
> resolve, compressing the whole gamma curve, however, the RGB of white color of a fixed color temperature is fixed too,
> the above gamma correction can't change it. That's why I wrote xwhite, a simple but more flexible way to manual color
> balance, setting to a warm color tempature while enhancing green color to avoiding a red screen due to the backlight
> aging. I'm satisfied with it finally.
>
> If you think it's worth a new package, I would fix the issues you
> mentioned. Either way, I'm happy with the conversation with you. 

Given that it fullfills a different niche, a new package 'xwhite'
sounds reasonable to me.  Though maybe you can give a small comparison
of xwhite with redshift in the package description?

> +    (description "xwhite is a command line tool for adjusting color
> +balance of screen.  It is based on xrandr's gamma correction and
> +brightness adjustment.  Typically used for tuning color balance
> +while setting color temperature.")

xwhite -> @command{white} (TeXinfo markup).

adjusting color balance -> adjusting the color balance.

color can be replaced by colour or kept as-is.

It is based on xrandr's gamma correction and brightness adjustment.
-> maybe add the caveat ‘As such, it can only be used for X displays
and not Wayland displays?’

Typically used for tuning color balance while setting color
temperature.  --> It is typically used for tuning the color balance and
color temperature.

Maybe add: ‘It has a similar function as @command{redshift -P -g R:G:B
-O temperature}, but @command{xwhite} is more flexible in that it does
not keep the white color fixed.’

Greetings,
Maxime.